
QGIS Application - Feature request #2180

Support Buffered / Framed labels and callout labels

2009-12-02 03:20 PM - Tim Sutton

Status: Closed

Priority: Low

Assignee:

Category: Labelling

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 12240

Description

User 'ttestt' (Nikolay Zatsenko) submitted a patch to me to partially support these features. I am attaching a modified version of this patch

to here for record of the enhancement, though I would suggest that these improvements could be better directed to the new labelling

infrastructure. Either way, some refinement is needed before being able to incorporate these changes into trunk since the patch has code

style issues and api breakage (though the latter is minimised now with my changes to his original patch).

I like the general idea of Nikolay's patch and it would be great to see something like this supported in QGIS in the future.

Tim

History

#1 - 2011-12-16 09:55 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Category changed from Symbology to Labelling

- Assignee deleted (nobody -)

#2 - 2011-12-16 09:57 AM - Paolo Cavallini

See also #3219

#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2013-04-23 03:59 PM - Larry Shaffer

- Status changed from Open to Closed

This can be closed, but another ticket should be opened specifically for callout labels.

Files

qgis_label_buffers_patch.diff 32 KB 2009-12-02 Tim Sutton
